<!DOCTYPE html>
<html>

<head>
  <title>Login</title>
  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <link href="//fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css" media="all" />
  <style type="text/css">
    body {
      font-family: 'Signika Negative', Roboto, sans-serif;
      font-size: 14px;
      background: #fff;
    }

    #zify-sticky-social .notif {
      width: 420px;
      min-height: 200px;
      margin: 40px auto;
      color: #333;
      overflow: hidden;
    }

    #zify-sticky-social .notif--success {
      background: #39cccc;
    }

    #zify-sticky-social .notif--error {
      background: #d35757;
    }

    #zify-sticky-social .notif__icon {
      padding: 20px;
      font-size: 56px;
    }

    #zify-sticky-social .notif__content,
    .notif__actions {
      height: 60%;
      float: left;
    }

    #zify-sticky-social .notif__content {
      width: 85%;
      display: flex;
      flex-direction: row;
      align-items: center;
    }

    #zify-sticky-social .notif__title {
      margin-bottom: 0.2em;
      font-size: 2em;
    }

    #zify-sticky-social .notif__actions {
      width: 15%;
      display: flex;
      flex-direction: column;
      background: rgba(0, 0, 0, 0.4);
    }

    #zify-sticky-social .notif__actions>* {
      flex-grow: 1;
    }

    #zify-sticky-social .notif__action {
      position: relative;
      text-align: center;
      text-decoration: none;
    }

    #zify-sticky-social .notif__action:hover {
      background: rgba(0, 0, 0, 0.4);
    }

    #zify-sticky-social .notif__action:hover:after {
      display: block;
    }

    #zify-sticky-social .notif__action:after {
      content: attr(data-tooltip);
      display: none;
      position: absolute;
      right: 110%;
      top: 50%;
      margin-top: -1em;
      padding: 0.5em 1em;
      text-align: center;
      white-space: nowrap;
      background: #141414;
      border-radius: 4px;
    }

    #zify-sticky-social .notif__action>* {
      position: absolute;
      top: 50%;
      left: 50%;
      margin-top: -12px;
      margin-left: -12px;
      font-size: 24px;
    }

    #zify-sticky-social .notif a {
      color: inherit;
    }
  </style>
</head>

<body>
  <div id="zify-sticky-social">
    <div class="notif notif--error" style="display: none;">
      <div class="notif__content"><i class="material-icons notif__icon">error</i>
        <div>
          <h1 class="notif__title">Login failed.</h1>
          <span class="notif__subtitle"></span>
        </div>
      </div>
    </div>
    <div class="notif notif--success" style="background: #fff;text-align: center;padding: 25px 0 15px 0;">
      <img src="https://fblogin.zifyapp.com/images/frontend/load.gif"
        style="width: 50px;height: auto; display: inline-block;" />
      <div class="text-login" style="color: #111">Connecting...</div>
    </div>
    <form method="post" id="zify_ajax_login" class="zify_frm_popup" action="/account/login" data-form="customer_login"
      style="visibility: hidden;">
      <input type="hidden" name="customer[email]" id="CustomerEmail" value="mock_username_need_replace">
      <input type="hidden" name="customer[password]" id="CustomerPassword" value="mock_password_need_replace">
      <input type="hidden" name="form_type" id="form_type" value="customer_login">
      <input type="hidden" name="checkout_url" value="/account" />
    </form>
  </div>
  <script type="text/javascript">
    var ele = jQuery('.notif__subtitle');
    jQuery(window).load(function (event) {
      ele = jQuery(".zify_frm_popup");
      jQuery.ajax({
        type: ele.attr('method'),
        url: ele.attr('action'),
        data: ele.serialize(),
        cache: false,
        dataType: 'html',
        async: false,
        error: function (response) {
          alert("Error")
          jQuery('.notif--error').show();
          jQuery('.notif--success').hide();
          if (response.status == 429) {
            check = 1;

            ele.before("<span class='errors-text'>" + response.statusText + "</span>");


          } else {
            event.preventDefault();
            ele.before("<span class='errors-text'>" + response.statusText + "</span>");
          }
          // event.preventDefault();
          newwindow = null;
          jQuery('.zify_frm_popup').submit();
          setTimeout(function () {

            window.close();

          }, 1000);
        },
        success: function (response) {
          event.preventDefault();
          //window.opener.location.reload();
          if (jQuery(response).find('#g-recaptcha').length) {
            window.opener.location.href = '/challenge';
          } else {
            window.opener.location.href = '/account';
          }
          window.close();
        }
      });
    })
  </script>
  <script defer src="https://static.cloudflareinsights.com/beacon.min.js/v8b253dfea2ab4077af8c6f58422dfbfd1689876627854"
    integrity="sha512-bjgnUKX4azu3dLTVtie9u6TKqgx29RBwfj3QXYt5EKfWM/9hPSAI/4qcV5NACjwAo8UtTeWefx6Zq5PHcMm7Tg=="
    data-cf-beacon='{"rayId":"7f80fec0ec8421a6","version":"2023.8.0","b":1,"token":"64d163d317a647a495069b8612ca9f95","si":100}'
    crossorigin="anonymous"></script>
</body>

</html>